← OBPv7.0.0 Set Bank Supported Routing Scheme PUT /obp/v7.0.0/banks/BANK_ID/supported-routing-schemes/SCHEME OBPv7.0.0-putBankSupportedRoutingScheme Roles: CanUpdateBankSupportedRoutingScheme(per bank) Routing-SchemeBank Opt this bank in to (or out of) a registered routing scheme. Set enabled: false to opt out without losing the per-bank notes. The scheme must exist in the global registry (GET /routing-schemes/SCHEME) and not be RETIRED. Authentication is Required. User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: BANK_ID: gh.29.uk SCHEME: OBP JSON response body fields (2) scheme OBPbank_notes bank_notes Example request body { "bank_notes": "Routed via the instant-payment rail (TIPS). Daily cutoff 22:00 EAT.", "enabled": true } Example success response { "scheme": "TZ.MSISDN", "bank_notes": "Routed via the instant-payment rail (TIPS). Daily cutoff 22:00 EAT." } Possible errors (8) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-30001: Bank not found. Please specify a valid value for BANK_ID.OBP-30514: Routing Scheme not found. Please specify a valid value for SCHEME.OBP-30525: This bank does not support the requested Routing Scheme.OBP-30523: Could not update Routing Scheme.OBP-50000: Unknown Error.